# env
# Written in 2020 by Lucas
# CC0 1.0 Universal/Public domain - No rights reserved
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide. This software is distributed without any
# warranty. You should have received a copy of the CC0 Public Domain
# Dedication along with this software. If not, see
# <http://creativecommons.org/publicdomain/zero/1.0/>.
.POSIX:
.SUFFIXES:

PREFIX=	$(HOME)

DIRS=	cgi-bin
FILES=	config urimethodmap

install:
	mkdir -p $(PREFIX)/.w3m
	cp -f $(FILES) $(PREFIX)/.w3m
	cp -fR $(DIRS) $(PREFIX)/.w3m

diff:
	-for f in $(FILES); do \
		diff -u "$$f" $(PREFIX)/.w3m/"$$f"; \
	done
	-for d in $(DIRS); do for f in "$$d"/*; do \
		diff -u "$$f" $(PREFIX)/.w3m/"$$f"; \
	done; done

uninstall:
	cd $(PREFIX)/.w3m && rm -fr $(DIRS) && rm -f $(FILES)
